html,
body {
	height: 100vh;
	width: 100vw;
}

#bodybox {
	display: grid;
	box-sizing: border-box;
	gap: 1rem;
	padding: 1rem;
	max-height: 100%;
	min-height: 100%;
}

.hbox {
	display: flex;
	flex-direction: row;
}

.vbox {
	display: flex;
	flex-direction: column;
}

.boxcenter {
	display: flex;
	align-items: center;
	justify-content: center;
}

.expand {
	flex: 1;
}

.right {
	text-align: right;
}

.center {
	text-align: center;
}

.left {
	text-align: left;
}

h1 {
	margin-top: 0;
	margin-bottom: 1rem;
}

h2 {
	margin-top: 0;
	margin-bottom: 0.5rem;
	font-size: 1.3rem;
}

p {
	margin: 0;
}

#togglebox {
	text-wrap: nowrap;
	line-height: 1.5rem;
}

/* full width */
@media all and (min-width: 1025px) {
	h1 {
		font-size: 4rem;
	}

	#bodybox {
		grid-template-rows: min-content auto min-content max-content;
		grid-template-columns: max-content repeat(4, 1fr) max-content;
	}
	#header {
		grid-row: 1;
		grid-column: 1 / 7;
		display: flex;
		flex-direction: row;
	}
	#leftbox {
		grid-row: 2;
		grid-column: 1 / 4;
	}
	#secretbox {
		grid-row: 2;
		grid-column: 4;
	}
	#rightbox {
		grid-row: 2;
		grid-column: 5 / 7;
	}
	#webringsbox {
		grid-row: 3;
		grid-column: 1;
	}
	#linksbox {
		grid-row: 3;
		grid-column: 2/6;
	}
	#togglebox {
		grid-row: 3;
		grid-column: 6;
	}
	#buttonsbox {
		grid-row: 4;
		grid-column: 1 / 7;
	}
}

/* smaller screen */
@media all and (max-width: 1024px) and (min-width: 513px) {
	h1 {
		font-size: 3rem;
	}

	#bodybox {
		grid-template-rows: repeat(7, max-content);
		grid-template-columns: max-content 1fr;
	}
	#header {
		grid-row: 1;
		grid-column: 1 / 3;
		display: flex;
		flex-direction: column;
		align-items: center;
		text-align: center;
	}
	#leftbox {
		grid-row: 2;
		grid-column: 1 / 3;
	}
	#secretbox {
		grid-row: 3;
		grid-column: 1 / 3;
	}
	#rightbox {
		grid-row: 4;
		grid-column: 1 / 3;
		min-height: 35rem;
	}
	#linksbox {
		grid-row: 5;
		grid-column: 1/3;
	}
	#webringsbox {
		grid-row: 6;
		grid-column: 1;
	}
	#togglebox {
		grid-row: 6;
		grid-column: 2;
	}
	#buttonsbox {
		grid-row: 7;
		grid-column: 1 / 3;
	}
}

/* very small screen */
@media all and (max-width: 512px) {
	h1 {
		font-size: 3rem;
	}

	#bodybox {
		grid-template-rows: repeat(8, max-content);
		grid-template-columns: 100%;
	}
	#header {
		grid-row: 1;
		grid-column: 1;
		display: flex;
		flex-direction: column;
		align-items: center;
		text-align: center;
	}
	#leftbox {
		grid-row: 2;
		grid-column: 1;
	}
	#secretbox {
		grid-row: 3;
		grid-column: 1;
	}
	#rightbox {
		grid-row: 4;
		grid-column: 1;
		min-height: 35rem;
	}
	#linksbox {
		grid-row: 5;
		grid-column: 1;
	}
	#webringsbox {
		grid-row: 6;
		grid-column: 1;
	}
	#togglebox {
		grid-row: 7;
		grid-column: 1;
	}
	#buttonsbox {
		grid-row: 8;
		grid-column: 1;
	}
}
